package com.ym.mec.common.entity;

public class ImMessageModel {
    //	发送人 Id  必填
    private String senderId;
    //接收人 Id  必填
    private String[] targetId;
    //消息类型, 分为两类: 内置消息类型 、自定义消息类型  RC:TxtMsg,RC:ImgMsg,RC:VcMsg,RC:ImgTextMsg,RC:FileMsg,RC:LBSMsg  必填
    private String objectName;
    //消息内容  必填
    private ImBaseMessage content;
    //push 内容, 分为两类 内置消息 Push 、自定义消息 Push  RC:TxtMsg,RC:ImgMsg,RC:VcMsg,RC:ImgTextMsg,RC:FileMsg,RC:LBSMsg
    private String pushContent;
    private String pushData;

    public ImMessageModel() {
    }

    public ImMessageModel(String senderId, String[] targetId, String objectName, ImBaseMessage content, String pushContent, String pushData) {
        this.senderId = senderId;
        this.targetId = targetId;
        this.objectName = objectName;
        this.content = content;
        this.pushContent = pushContent;
        this.pushData = pushData;
    }

    public String[] getTargetId() {
        return this.targetId;
    }

    public ImMessageModel setTargetId(String[] targetId) {
        this.targetId = targetId;
        return this;
    }

    public String getObjectName() {
        return this.objectName;
    }

    public ImMessageModel setObjectName(String objectName) {
        this.objectName = objectName;
        return this;
    }

    public ImBaseMessage getContent() {
        return this.content;
    }

    public ImMessageModel setContent(ImBaseMessage content) {
        this.content = content;
        return this;
    }

    public String getPushContent() {
        return this.pushContent;
    }

    public ImMessageModel setPushContent(String pushContent) {
        this.pushContent = pushContent;
        return this;
    }

    public String getPushData() {
        return this.pushData;
    }

    public ImMessageModel setPushData(String pushData) {
        this.pushData = pushData;
        return this;
    }

    public String getSenderId() {
        return this.senderId;
    }

    public ImMessageModel setSenderId(String senderId) {
        this.senderId = senderId;
        return this;
    }
}
